org.apache.jmeter.report.processor

## Class TimeRateAggregatorFactory

- java.lang.Object
- - org.apache.jmeter.report.processor.AbstractAggregatorFactory
  - - org.apache.jmeter.report.processor.TimeRateAggregatorFactory

All Implemented Interfaces:
  AggregatorFactory

    public class TimeRateAggregatorFactory
    extends AbstractAggregatorFactory

A factory for creating TimeRateAggregator objects.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`TimeRateAggregatorFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Aggregator` `createAggregator()`
`long` `getGranularity()` Gets the granularity used by created aggregators.
`void` `setGranularity(long granularity)` Sets the granularity used by created aggregators.

### Methods inherited from class org.apache.jmeter.report.processor.AbstractAggregatorFactory

`createAggregatedKeyValueAggregator, createKeyAggregator, createValueAggregator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeRateAggregatorFactory

    public TimeRateAggregatorFactory()

### Method Detail

#### getGranularity

    public final long getGranularity()

Gets the granularity used by created aggregators.

Returns:
  the granularity

#### setGranularity

    public final void setGranularity(long granularity)

Sets the granularity used by created aggregators.

Parameters:
  `granularity` - the granularity to set

#### createAggregator

    protected Aggregator createAggregator()

Specified by:
  `createAggregator` in class `AbstractAggregatorFactory`